CWIS Developer Documentation

- Home
- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
SystemConfiguration Class Reference

## Public Member Functions
| __construct ()
| Constructs a new SystemConfiguration object. More...
| TopLinkString ($NewValue=DB_NOVALUE)
| Gets or sets the top link string system configuration setting. More...
| TopLinkBeginLetter ($NewValue=DB_NOVALUE)
| Gets or sets the top link begin letter system configuration setting. More...
| TopLinkEndLetter ($NewValue=DB_NOVALUE)
| Gets or sets the top link end letter system configuration setting. More...
| AdminEmail ($NewValue=DB_NOVALUE)
| Gets or sets the admin email system configuration setting. More...
| PasswordMailSubject ($NewValue=DB_NOVALUE)
| Gets or sets the password mail subject system configuration setting. More...
| PasswordMailBody ($NewValue=DB_NOVALUE)
| Gets or sets the password mail body system configuration setting. More...
| PasswordResetMailSubject ($NewValue=DB_NOVALUE)
| Gets or sets the password reset mail subject system configuration setting. More...
| PasswordResetMailBody ($NewValue=DB_NOVALUE)
| Gets or sets the password reset mail body system configuration setting. More...
| MailChangeMailSubject ($NewValue=DB_NOVALUE)
| Gets or sets the mail change mail subject system configuration setting. More...
| MailChangeMailBody ($NewValue=DB_NOVALUE)
| Gets or sets the mail change mail body system configuration setting. More...
| PortalName ($NewValue=DB_NOVALUE)
| Gets or sets the portal name system configuration setting. More...
| DefaultActiveUI ($NewValue=DB_NOVALUE)
| Gets or sets the default active UI system configuration setting. More...
| CurrentTheme ($NewValue=DB_NOVALUE)
| Gets or sets the current theme system configuration setting. More...
| DefaultCharacterSet ($NewValue=DB_NOVALUE)
| Gets or sets the default character set system configuration setting. More...
| SearchTermsRequired ($NewValue=DB_NOVALUE)
| Gets or sets the search terms required system configuration setting. More...
| ShowNumResourcesEnabled ($NewValue=DB_NOVALUE)
| Gets or sets the show number of resources enabled system configuration setting. More...
| AnnouncementsEnabled ($NewValue=DB_NOVALUE)
| Gets or sets the announcements enabled system configuration setting. More...
| ForumsEnabled ($NewValue=DB_NOVALUE)
| Gets or sets the forums enabled system configuration setting. More...
| ForumsAllowHTML ($NewValue=DB_NOVALUE)
| Gets or sets the forums allow html system configuration setting. More...
| ForumsUseWYSIWYG ($NewValue=DB_NOVALUE)
| Gets or sets the forums use WYSIWYG editor setting. More...
| AllowMultipleUIsEnabled ($NewValue=DB_NOVALUE)
| Gets or sets the allow multiple UIs enabled system configuration setting. More...
| ResourceLaunchesNewWindowEnabled ($NewValue=DB_NOVALUE)
| Gets or sets the resource launches new window enabled system configuration setting. More...
| UserAgentsEnabled ($NewValue=DB_NOVALUE)
| Gets or sets the user agents enabled system configuration setting. More...
| ResourceRatingsEnabled ($NewValue=DB_NOVALUE)
| Gets or sets the resource ratings enabled system configuration setting. More...
| ResourceCommentsEnabled ($NewValue=DB_NOVALUE)
| Gets or sets the resource comments enabled system configuration setting. More...
| AccessibilityWizardEnabled ($NewValue=DB_NOVALUE)
| Gets or sets the accessibility wizard enabled system configuration setting. More...
| IncrementalKeywordSearchEnabled ($NewValue=DB_NOVALUE)
| Gets or sets the incremental keyword search enabled system configuration setting. More...
| ReleaseFlagApproved ($NewValue=DB_NOVALUE)
| Gets or sets the release flag approved system configuration setting. More...
| SearchDBEnabled ($NewValue=DB_NOVALUE)
| Gets or sets the search database enabled system configuration setting. More...
| RecommenderDBEnabled ($NewValue=DB_NOVALUE)
| Gets or sets the recommender database enabled system configuration setting. More...
| OAISQEnabled ($NewValue=DB_NOVALUE)
| Gets or sets OAISQ enabled system configuration setting. More...
| NumAnnounceOnHomePage ($NewValue=DB_NOVALUE)
| Gets or sets the number of announcements on homepage system configuration setting. More...
| NumResourcesOnHomePage ($NewValue=DB_NOVALUE)
| Gets or sets the number of resources on homepage system configuration setting. More...
| LegalNotice ($NewValue=DB_NOVALUE)
| Gets or sets the legal notice system configuration setting. More...
| DefaultRecordsPerPage ($NewValue=DB_NOVALUE)
| Gets or sets the default records per page system configuration setting. More...
| NumResourcesForSearchFacets ($NewValue=DB_NOVALUE)
| Gets or sets the number of resources considered to build search facets. More...
| MaxFacetsPerField ($NewValue=DB_NOVALUE)
| Gets or sets the number of facets considered excessive, above which we won't display the facets. More...
| NumClassesPerBrowsePage ($NewValue=DB_NOVALUE)
| Gets or sets the number of classes per browse page system configuration setting. More...
| NumColumnsPerBrowsePage ($NewValue=DB_NOVALUE)
| Gets or sets the number of columns per browse page system configuration setting. More...
| BrowsingFieldId ($NewValue=DB_NOVALUE)
| Gets or sets the browsing field ID system configuration setting. More...
| OaiIdDomain ($NewValue=DB_NOVALUE)
| Gets or sets the OAI ID domain system configuration setting. More...
| OaiIdPrefix ($NewValue=DB_NOVALUE)
| Gets or sets the OAI ID prefix system configuration setting. More...
| OaiEarliestDate ($NewValue=DB_NOVALUE)
| Gets or sets the OAI earliest date system configuration setting. More...
| OaiDateGranularity ($NewValue=DB_NOVALUE)
| Gets or sets the OAI date granularity system configuration setting. More...
| SiteKeywords ($NewValue=DB_NOVALUE)
| Gets or sets the site keywords system configuration setting. More...
| AboutText ($NewValue=DB_NOVALUE)
| Gets or sets the about text system configuration setting. More...
| ContactName ($NewValue=DB_NOVALUE)
| Gets or sets the contact name system configuration setting. More...
| ContactEmail ($NewValue=DB_NOVALUE)
| Gets or sets the contact email system configuration setting. More...
| Organization ($NewValue=DB_NOVALUE)
| Gets or sets the organization system configuration setting. More...
| OrganizationType ($NewValue=DB_NOVALUE)
| Gets or sets the organization type system configuration setting. More...
| SiteType ($NewValue=DB_NOVALUE)
| Gets or sets the site type system configuration setting. More...
| OkayToListSite ($NewValue=DB_NOVALUE)
| Gets or sets the okay to list site system configuration setting. More...
| LastRegisteredOn ($NewValue=DB_NOVALUE)
| Gets or sets the last registered on system configuration setting. More...
| AddAWStatsScript ($NewValue=DB_NOVALUE)
| Gets or sets the add AW stats script system configuration setting. More...
| AddGoogleAnalytics ($NewValue=DB_NOVALUE)
| Gets or sets the add Google Analytics system configuration setting. More...
| GoogleAnalyticsCode ($NewValue=DB_NOVALUE)
| Gets or sets the Google Analytics code system configuration setting. More...
| DisplayLimitsByDefault ($NewValue=DB_NOVALUE)
| Gets or sets the display limits by default system configuration setting. More...
| DefaultSortField ($NewValue=DB_NOVALUE)
| Gets or sets the default sort field system configuration setting. More...
| FieldDisplayFolder ($NewValue=DB_NOVALUE)
| Gets or sets the field display folder system configuration setting. More...
| FieldEditFolder ($NewValue=DB_NOVALUE)
| Gets or sets the field edit folder system configuration setting. More...
| CollapseMetadataFieldGroups ($NewValue=DB_NOVALUE)
| Gets or sets the collapse metadata field groups system configuration setting. More...
| RequireEmailWithFeedback ($NewValue=DB_NOVALUE)
| Gets or sets the require email with feedback system configuration setting. More...
| UseMinimizedJavascript ($NewValue=DB_NOVALUE)
| Gets or sets the use mimimized javascript system configuration setting. More...
| SearchEngineUpdatePriority ($NewValue=DB_NOVALUE)
| Gets or sets the search engine update priority system configuration setting. More...
| RecommenderEngineUpdatePriority ($NewValue=DB_NOVALUE)
| Gets or sets the recommender engine update priority system configuration setting. More...
| LogoFileName ()
| Gets or sets the logo file name system configuration setting. More...
| LogoAltText ()
| Gets or sets the logo alt text system configuration setting. More...
| LogoWidth ()
| Gets or sets the logo width system configuration setting. More...
| LogoHeight ()
| Gets or sets the logo height system configuration setting. More...
| HasRegistered ()
| Gets or sets the has registered system configuration setting. More...
| TitleField ($NewValue=DB_NOVALUE)
| Gets or sets the title field system configuration setting. More...
| DescriptionField ($NewValue=DB_NOVALUE)
| Gets or sets the description field system configuration setting. More...
| UrlField ($NewValue=DB_NOVALUE)
| Gets or sets the url field system configuration setting. More...
| ScreenshotField ($NewValue=DB_NOVALUE)
| Gets or sets the screenshot field system configuration setting. More...
| SecureLogin ($NewValue=DB_NOVALUE)
| Gets or sets the secure login system configuration setting. More...
| EmailLineEnding ($NewValue=DB_NOVALUE)
| Gets or sets the email line ending system configuration setting. More...
| SavedSearchMailTemplate ($NewValue=DB_NOVALUE)
| Gets or sets the saved search mail template system configuration setting. More...
| DefaultUserPrivs ($NewValue=DB_NOVALUE)
| Gets or sets the default user privileges system configuration setting. More...
| RootUrlOverride ($NewValue=DB_NOVALUE)
| Gets or sets the root URL override system configuration setting. More...
| PreferHttpHost ($NewValue=DB_NOVALUE)
| Gets or sets the prefer HTTP_HOST system configuration setting. More...
| Value ($FieldName, $NewValue=DB_NOVALUE)
| Gets or changes a value in the database. More...

## Public Attributes
const | UNCHANGED_VALUE = DB_NOVALUE
| This value is used to determine if a value is changed. More...

## Detailed Description

Definition at line 10 of file SystemConfiguration.php.

## Constructor & Destructor Documentation

SystemConfiguration::__construct | ( |  | ) |

Constructs a new SystemConfiguration object.

Definition at line 23 of file SystemConfiguration.php.

## Member Function Documentation

SystemConfiguration::AboutText | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the about text system configuration setting.

Parameters

  string | $NewValue | The new about text system configuration setting. (OPTIONAL)

Returns
  The about text system configuration setting.

Definition at line 430 of file SystemConfiguration.php.

SystemConfiguration::AccessibilityWizardEnabled | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the accessibility wizard enabled system configuration setting.

(Vestigial, maintained for backward compatibility with old interfaces – DO NOT USE.)

Parameters

  int | $NewValue | The new accessibility wizard enabled system configuration setting. (OPTIONAL)

Returns
  The accessibility wizard enabled system configuration setting.

Definition at line 244 of file SystemConfiguration.php.

SystemConfiguration::AddAWStatsScript | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the add AW stats script system configuration setting.

Parameters

  int | $NewValue | The new add AW stats script system configuration setting. (OPTIONAL)

Returns
  The add AW stats script system configuration setting.

Definition at line 496 of file SystemConfiguration.php.

SystemConfiguration::AddGoogleAnalytics | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the add Google Analytics system configuration setting.

Parameters

  int | $NewValue | The new add Google Analytics system configuration setting. (OPTIONAL)

Returns
  The add Google Analytics system configuration setting.

Definition at line 504 of file SystemConfiguration.php.

SystemConfiguration::AdminEmail | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the admin email system configuration setting.

Parameters

  string | $NewValue | The new admin email system configuration setting. (OPTIONAL)

Returns
  The admin email system configuration setting.

Definition at line 61 of file SystemConfiguration.php.

SystemConfiguration::AllowMultipleUIsEnabled | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the allow multiple UIs enabled system configuration setting.

Used to determine whether users can use a UI other than the default.

Parameters

  int | $NewValue | The new allow multiple UIs enabled system configuration setting. (OPTIONAL)

Returns
  The allow multiple UIs enabled system configuration setting.

Definition at line 198 of file SystemConfiguration.php.

SystemConfiguration::AnnouncementsEnabled | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the announcements enabled system configuration setting.

Parameters

  int | $NewValue | The new announcements enabled system configuration setting. (OPTIONAL)

Returns
  The announcements enabled system configuration setting.

Definition at line 167 of file SystemConfiguration.php.

SystemConfiguration::BrowsingFieldId | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the browsing field ID system configuration setting.

Used by the BrowseResources page to determine the default browsing option.

Parameters

  int | $NewValue | The new browsing field ID system configuration setting. (OPTIONAL)

Returns
  The browsing field ID system configuration setting.

Definition at line 382 of file SystemConfiguration.php.

SystemConfiguration::CollapseMetadataFieldGroups | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the collapse metadata field groups system configuration setting.

Used by the MetadataFieldOrdering page to determine whether metadata field groups should be collapsed.

Parameters

  int | $NewValue | The new collapse metadata field groups system configuration setting. (OPTIONAL)

Returns
  The collapse metadata field groups system configuration setting.

Definition at line 559 of file SystemConfiguration.php.

SystemConfiguration::ContactEmail | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the contact email system configuration setting.

Parameters

  string | $NewValue | The new contact email system configuration setting. (OPTIONAL)

Returns
  The contact email system configuration setting.

Definition at line 446 of file SystemConfiguration.php.

SystemConfiguration::ContactName | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the contact name system configuration setting.

Parameters

  string | $NewValue | The new contact name system configuration setting. (OPTIONAL)

Returns
  The contact name system configuration setting.

Definition at line 438 of file SystemConfiguration.php.

SystemConfiguration::CurrentTheme | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the current theme system configuration setting.

Parameters

  string | $NewValue | The new current theme system configuration setting. (OPTIONAL)

Returns
  The current theme system configuration setting.

Definition at line 133 of file SystemConfiguration.php.

SystemConfiguration::DefaultActiveUI | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the default active UI system configuration setting.

Parameters

  string | $NewValue | The new default active UI system configuration setting. (OPTIONAL)

Returns
  The default active UI system configuration setting.

Definition at line 125 of file SystemConfiguration.php.

SystemConfiguration::DefaultCharacterSet | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the default character set system configuration setting.

Parameters

  string | $NewValue | The new default character set system configuration setting. (OPTIONAL)

Returns
  The default character set system configuration setting.

Definition at line 141 of file SystemConfiguration.php.

SystemConfiguration::DefaultRecordsPerPage | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the default records per page system configuration setting.

Parameters

  int | $NewValue | The new default records per page system configuration setting. (OPTIONAL)

Returns
  The default records per page system configuration setting.

Definition at line 323 of file SystemConfiguration.php.

SystemConfiguration::DefaultSortField | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the default sort field system configuration setting.

Used to determine the default field to use when sorting search results.

Parameters

  int | $NewValue | The new default sort field system configuration setting. (OPTIONAL)

Returns
  The default sort field system configuration setting.

Definition at line 531 of file SystemConfiguration.php.

SystemConfiguration::DefaultUserPrivs | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the default user privileges system configuration setting.

Parameters

  string | $NewValue | The new default user privileges system configuration setting. (OPTIONAL)

Returns
  The default user privileges system configuration setting.

Definition at line 714 of file SystemConfiguration.php.

References DB_NOVALUE.

SystemConfiguration::DescriptionField | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the description field system configuration setting.

Parameters

  int | $NewValue | The new description field system configuration setting. (OPTIONAL)

Returns
  The description field system configuration setting.

Definition at line 666 of file SystemConfiguration.php.

SystemConfiguration::DisplayLimitsByDefault | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the display limits by default system configuration setting.

Used by the Advanced search page to determine whether search limits should be displayed or hidden.

Parameters

  int | $NewValue | The new display limits by default system configuration setting. (OPTIONAL)

Returns
  The display limits by default system configuration setting.

Definition at line 522 of file SystemConfiguration.php.

SystemConfiguration::EmailLineEnding | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the email line ending system configuration setting.

Parameters

  string | $NewValue | The new email line ending system configuration setting. (OPTIONAL)

Returns
  The email line ending system configuration setting.

Definition at line 698 of file SystemConfiguration.php.

SystemConfiguration::FieldDisplayFolder | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the field display folder system configuration setting.

Used to get the sort order of metadata fields for display.

Parameters

  int | $NewValue | The new field display folder system configuration setting. (OPTIONAL)

Returns
  The field display folder system configuration setting.

Definition at line 540 of file SystemConfiguration.php.

SystemConfiguration::FieldEditFolder | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the field edit folder system configuration setting.

Used to get the sort order of metadata fields for editing.

Parameters

  int | $NewValue | The new field edit folder system configuration setting. (OPTIONAL)

Returns
  The field edit folder system configuration setting.

Definition at line 549 of file SystemConfiguration.php.

SystemConfiguration::ForumsAllowHTML | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the forums allow html system configuration setting.

Parameters

  int | $NewValue | The new forums allow html system configuration setting. (OPTIONAL) #return The forums allow html system configuration setting.

Definition at line 182 of file SystemConfiguration.php.

SystemConfiguration::ForumsEnabled | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the forums enabled system configuration setting.

Parameters

  int | $NewValue | The new forums enabled system configuration setting. (OPTIONAL)

Returns
  The forums enabled system configuration setting.

Definition at line 175 of file SystemConfiguration.php.

SystemConfiguration::ForumsUseWYSIWYG | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the forums use WYSIWYG editor setting.

Parameters

  int | $NewValue | The new Forums use WYSIWYG system configuration setting. (OPTIONAL)

Returns
  The forums use WYSIWYG editor setting.

Definition at line 189 of file SystemConfiguration.php.

SystemConfiguration::GoogleAnalyticsCode | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the Google Analytics code system configuration setting.

Parameters

  string | $NewValue | The new Google Analytics code system configuration setting. (OPTIONAL)

Returns
  The Google Analytics code system configuration setting.

Definition at line 512 of file SystemConfiguration.php.

SystemConfiguration::HasRegistered | ( |  | ) |

Gets or sets the has registered system configuration setting.

Parameters

  int | $NewValue | The new has registered system configuration setting. (OPTIONAL)

Returns
  The has registered system configuration setting.

Definition at line 646 of file SystemConfiguration.php.

References DB_NOVALUE.

SystemConfiguration::IncrementalKeywordSearchEnabled | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the incremental keyword search enabled system configuration setting.

Used for determining whether searching shows results as you type.

Parameters

  int | $NewValue | The new incremental keyword search enabled system configuration setting. (OPTIONAL)

Returns
  The incremental keyword search enabled system configuration setting.

Definition at line 254 of file SystemConfiguration.php.

SystemConfiguration::LastRegisteredOn | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the last registered on system configuration setting.

Parameters

  string | $NewValue | The new last registered on system configuration setting. (OPTIONAL)

Returns
  The last registered on system configuration setting.

Definition at line 488 of file SystemConfiguration.php.

SystemConfiguration::LegalNotice | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the legal notice system configuration setting.

Parameters

  string | $NewValue | The new legal notice set system configuration setting. (OPTIONAL)

Returns
  The legal notice system configuration setting.

Definition at line 315 of file SystemConfiguration.php.

SystemConfiguration::LogoAltText | ( |  | ) |

Gets or sets the logo alt text system configuration setting.

Parameters

  string | $NewValue | The new logo alt text system configuration setting. (OPTIONAL)

Returns
  The logo alt text system configuration setting.

Definition at line 613 of file SystemConfiguration.php.

References DB_NOVALUE.

SystemConfiguration::LogoFileName | ( |  | ) |

Gets or sets the logo file name system configuration setting.

Parameters

  string | $NewValue | The new logo file name system configuration setting. (OPTIONAL)

Returns
  The logo file name system configuration setting.

Definition at line 602 of file SystemConfiguration.php.

References DB_NOVALUE.

SystemConfiguration::LogoHeight | ( |  | ) |

Gets or sets the logo height system configuration setting.

Parameters

  string | $NewValue | The new logo height system configuration setting. (OPTIONAL)

Returns
  The logo height system configuration setting.

Definition at line 635 of file SystemConfiguration.php.

References DB_NOVALUE.

SystemConfiguration::LogoWidth | ( |  | ) |

Gets or sets the logo width system configuration setting.

Parameters

  string | $NewValue | The new logo width system configuration setting. (OPTIONAL)

Returns
  The logo width system configuration setting.

Definition at line 624 of file SystemConfiguration.php.

References DB_NOVALUE.

SystemConfiguration::MailChangeMailBody | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the mail change mail body system configuration setting.

Parameters

  string | $NewValue | The new mail change mail body system configuration setting. (OPTIONAL)

Returns
  The mail change mail body system configuration setting.

Definition at line 109 of file SystemConfiguration.php.

SystemConfiguration::MailChangeMailSubject | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the mail change mail subject system configuration setting.

Parameters

  string | $NewValue | The new mail change mail subject system configuration setting. (OPTIONAL)

Returns
  The mail change mail subject system configuration setting.

Definition at line 101 of file SystemConfiguration.php.

SystemConfiguration::MaxFacetsPerField | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the number of facets considered excessive, above which we won't display the facets.

Parameters

  int | $NewValue | Desired setting for the number of resources to use in computing search facets. (OPTIONAL)

Returns
  The maximum number of facets per field to display.

Definition at line 341 of file SystemConfiguration.php.

SystemConfiguration::NumAnnounceOnHomePage | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the number of announcements on homepage system configuration setting.

Parameters

  int | $NewValue | The new number of announcements on homepage system configuration setting. (OPTIONAL)

Returns
  The number of announcements on homepage system configuration setting.

Definition at line 298 of file SystemConfiguration.php.

SystemConfiguration::NumClassesPerBrowsePage | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the number of classes per browse page system configuration setting.

Parameters

  int | $NewValue | The new number of classes per browse page system configuration setting. (OPTIONAL)

Returns
  The number of classes per browse page system configuration setting.

Definition at line 352 of file SystemConfiguration.php.

References DB_NOVALUE, and TopLinkString().

SystemConfiguration::NumColumnsPerBrowsePage | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the number of columns per browse page system configuration setting.

Parameters

  int | $NewValue | The new number of columns per browse page system configuration setting. (OPTIONAL)

Returns
  The number of columns per browse page system configuration setting.

Definition at line 373 of file SystemConfiguration.php.

SystemConfiguration::NumResourcesForSearchFacets | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the number of resources considered to build search facets.

Parameters

  int | $NewValue | Desired setting for the number of resources to use in computing search facets. (OPTIONAL)

Returns
  The number of resources used in computing search facets.

Definition at line 332 of file SystemConfiguration.php.

SystemConfiguration::NumResourcesOnHomePage | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the number of resources on homepage system configuration setting.

Parameters

  int | $NewValue | The new number of resources on homepage system configuration setting. (OPTIONAL)

Returns
  The number of resources on homepage system configuration setting.

Definition at line 307 of file SystemConfiguration.php.

SystemConfiguration::OaiDateGranularity | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the OAI date granularity system configuration setting.

Parameters

  string | $NewValue | The new OAI date granularity system configuration setting. (OPTIONAL)

Returns
  The OAI date granularity system configuration setting.

Definition at line 414 of file SystemConfiguration.php.

SystemConfiguration::OaiEarliestDate | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the OAI earliest date system configuration setting.

Parameters

  string | $NewValue | The new OAI earliest date system configuration setting. (OPTIONAL)

Returns
  The OAI earliest date system configuration setting.

Definition at line 406 of file SystemConfiguration.php.

SystemConfiguration::OaiIdDomain | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the OAI ID domain system configuration setting.

Parameters

  string | $NewValue | The new OAI ID domain system configuration setting. (OPTIONAL)

Returns
  The OAI ID domain system configuration setting.

Definition at line 390 of file SystemConfiguration.php.

SystemConfiguration::OaiIdPrefix | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the OAI ID prefix system configuration setting.

Parameters

  string | $NewValue | The new OAI ID prefix system configuration setting. (OPTIONAL)

Returns
  The OAI ID prefix system configuration setting.

Definition at line 398 of file SystemConfiguration.php.

SystemConfiguration::OAISQEnabled | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets OAISQ enabled system configuration setting.

Parameters

  int | $NewValue | The new OAISQ enabled system configuration setting. (OPTIONAL)

Returns
  The OAISQ enabled system configuration setting.

Definition at line 288 of file SystemConfiguration.php.

SystemConfiguration::OkayToListSite | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the okay to list site system configuration setting.

Used when registering to determine if the site can be included in a public list of CWIS sites.

Parameters

  int | $NewValue | The new okay to list site system configuration setting. (OPTIONAL)

Returns
  The okay to list site system configuration setting.

Definition at line 480 of file SystemConfiguration.php.

SystemConfiguration::Organization | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the organization system configuration setting.

Parameters

  string | $NewValue | The new organization system configuration setting. (OPTIONAL)

Returns
  The organization system configuration setting.

Definition at line 454 of file SystemConfiguration.php.

SystemConfiguration::OrganizationType | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the organization type system configuration setting.

Parameters

  string | $NewValue | The new organization type system configuration setting. (OPTIONAL)

Returns
  The organization type system configuration setting.

Definition at line 462 of file SystemConfiguration.php.

SystemConfiguration::PasswordMailBody | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the password mail body system configuration setting.

Parameters

  string | $NewValue | The new password mail body system configuration setting. (OPTIONAL)

Returns
  The password mail body system configuration setting.

Definition at line 77 of file SystemConfiguration.php.

SystemConfiguration::PasswordMailSubject | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the password mail subject system configuration setting.

Parameters

  string | $NewValue | The new password mail subject system configuration setting. (OPTIONAL)

Returns
  The password mail subject system configuration setting.

Definition at line 69 of file SystemConfiguration.php.

SystemConfiguration::PasswordResetMailBody | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the password reset mail body system configuration setting.

Parameters

  string | $NewValue | The new password reset mail body system configuration setting. (OPTIONAL)

Returns
  The password reset mail body system configuration setting.

Definition at line 93 of file SystemConfiguration.php.

SystemConfiguration::PasswordResetMailSubject | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the password reset mail subject system configuration setting.

Parameters

  string | $NewValue | The new password reset mail subject system configuration setting. (OPTIONAL)

Returns
  The password reset mail subject system configuration setting.

Definition at line 85 of file SystemConfiguration.php.

SystemConfiguration::PortalName | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the portal name system configuration setting.

Parameters

  string | $NewValue | The new portal name system configuration setting. (OPTIONAL)

Returns
  The portal name system configuration setting.

Definition at line 117 of file SystemConfiguration.php.

SystemConfiguration::PreferHttpHost | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the prefer HTTP_HOST system configuration setting.

Parameters

  string | $NewValue | The new prefer HTTP_HOST system configuration setting. (OPTIONAL)

Returns
  The prefer HTTP_HOST system configuration setting.

Definition at line 745 of file SystemConfiguration.php.

SystemConfiguration::RecommenderDBEnabled | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the recommender database enabled system configuration setting.

Parameters

  int | $NewValue | The new recommender database enabled system configuration setting. (OPTIONAL)

Returns
  The recommender database enabled system configuration setting.

Definition at line 280 of file SystemConfiguration.php.

SystemConfiguration::RecommenderEngineUpdatePriority | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the recommender engine update priority system configuration setting.

Parameters

  int | $NewValue | The new recommender engine update priority system configuration setting. (OPTIONAL)

Returns
  The recommender engine update priority system configuration setting.

Definition at line 594 of file SystemConfiguration.php.

SystemConfiguration::ReleaseFlagApproved | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the release flag approved system configuration setting.

Used to determine whether a resource can be flagged for release.

Parameters

  int | $NewValue | The new release flag approved enabled system configuration setting. (OPTIONAL)

Returns
  The release flag approved enabled system configuration setting.

Definition at line 263 of file SystemConfiguration.php.

SystemConfiguration::RequireEmailWithFeedback | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the require email with feedback system configuration setting.

Parameters

  int | $NewValue | The new require email with feedback system configuration setting. (OPTIONAL)

Returns
  The require email with feedback system configuration setting.

Definition at line 567 of file SystemConfiguration.php.

SystemConfiguration::ResourceCommentsEnabled | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the resource comments enabled system configuration setting.

Parameters

  int | $NewValue | The new resource comments enabled system configuration setting. (OPTIONAL)

Returns
  The resource comments enabled system configuration setting.

Definition at line 234 of file SystemConfiguration.php.

SystemConfiguration::ResourceLaunchesNewWindowEnabled | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the resource launches new window enabled system configuration setting.

Used by the FullRecorde page to determine whether the URL opens in a new window.

Parameters

  int | $NewValue | The new resource launches new window enabled system configuration setting. (OPTIONAL)

Returns
  The resource launches new window enabled system configuration setting.

Definition at line 209 of file SystemConfiguration.php.

SystemConfiguration::ResourceRatingsEnabled | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the resource ratings enabled system configuration setting.

Parameters

  int | $NewValue | The new resource ratings enabled system configuration setting. (OPTIONAL)

Returns
  The resource ratings enabled system configuration setting.

Definition at line 226 of file SystemConfiguration.php.

SystemConfiguration::RootUrlOverride | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the root URL override system configuration setting.

Parameters

  string | $NewValue | The new root URL override system configuration setting. (OPTIONAL)

Returns
  The root URL override system configuration setting.

Definition at line 737 of file SystemConfiguration.php.

SystemConfiguration::SavedSearchMailTemplate | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the saved search mail template system configuration setting.

Parameters

  int | $NewValue | The new saved search mail template system configuration setting. (OPTIONAL

Returns
  The saved search mail template system configuration setting.

Definition at line 706 of file SystemConfiguration.php.

SystemConfiguration::ScreenshotField | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the screenshot field system configuration setting.

Parameters

  int | $NewValue | The new screenshot field system configuration setting. (OPTIONAL)

Returns
  The screenshot field system configuration setting.

Definition at line 682 of file SystemConfiguration.php.

SystemConfiguration::SearchDBEnabled | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the search database enabled system configuration setting.

Parameters

  int | $NewValue | The new search database enabled system configuration setting. (OPTIONAL)

Returns
  The search database enabled system configuration setting.

Definition at line 271 of file SystemConfiguration.php.

SystemConfiguration::SearchEngineUpdatePriority | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the search engine update priority system configuration setting.

Parameters

  int | $NewValue | The new search engine update priority system configuration setting. (OPTIONAL)

Returns
  The search engine update priority system configuration setting.

Definition at line 584 of file SystemConfiguration.php.

SystemConfiguration::SearchTermsRequired | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the search terms required system configuration setting.

Used to determine whether the search logic is AND or OR.

Parameters

  int | $NewValue | The new search terms required system configuration setting. (OPTIONAL)

Returns
  The search terms required system configuration setting.

Definition at line 150 of file SystemConfiguration.php.

SystemConfiguration::SecureLogin | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the secure login system configuration setting.

Parameters

  int | $NewValue | The new secure login system configuration setting. (OPTIONAL)

Returns
  The secure login system configuration setting.

Definition at line 690 of file SystemConfiguration.php.

SystemConfiguration::ShowNumResourcesEnabled | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the show number of resources enabled system configuration setting.

Used on the Home page to display the total number of resources.

Parameters

  int | $NewValue | The new show number of resources enabled system configuration setting. (OPTIONAL)

Returns
  The show number of resources enabled system configuration setting.

Definition at line 159 of file SystemConfiguration.php.

SystemConfiguration::SiteKeywords | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the site keywords system configuration setting.

Parameters

  string | $NewValue | The new site keywords system configuration setting. (OPTIONAL)

Returns
  The site keywords system configuration setting.

Definition at line 422 of file SystemConfiguration.php.

SystemConfiguration::SiteType | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the site type system configuration setting.

Parameters

  string | $NewValue | The new site type system configuration setting. (OPTIONAL)

Returns
  The site type system configuration setting.

Definition at line 470 of file SystemConfiguration.php.

SystemConfiguration::TitleField | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the title field system configuration setting.

Parameters

  int | $NewValue | The new title field system configuration setting. (OPTIONAL)

Returns
  The title field system configuration setting.

Definition at line 658 of file SystemConfiguration.php.

SystemConfiguration::TopLinkBeginLetter | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the top link begin letter system configuration setting.

Used by the BrowseResources page to print classification links.

Parameters

  string | $NewValue | The new top link begin letter system configuration setting. (OPTIONAL)

Returns
  The top link begin letter system configuration setting.

Definition at line 44 of file SystemConfiguration.php.

SystemConfiguration::TopLinkEndLetter | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the top link end letter system configuration setting.

Used by the BrowseResources page to print classification links.

Parameters

  string | $NewValue | The new top link end letter system configuration setting. (OPTIONAL)

Returns
  The top link end letter system configuration setting.

Definition at line 53 of file SystemConfiguration.php.

SystemConfiguration::TopLinkString | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the top link string system configuration setting.

Used by the BrowseResources page to print classification links.

Parameters

  string | $NewValue | The new top link string system configuration setting. (OPTIONAL)

Returns
  The top link string system configuration setting.

Definition at line 35 of file SystemConfiguration.php.

Referenced by NumClassesPerBrowsePage().

Here is the caller graph for this function:

SystemConfiguration::UrlField | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the url field system configuration setting.

Parameters

  int | $NewValue | The new url field system configuration setting. (OPTIONAL)

Returns
  The url field system configuration setting.

Definition at line 674 of file SystemConfiguration.php.

SystemConfiguration::UseMinimizedJavascript | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the use mimimized javascript system configuration setting.

Parameters

  int | $NewValue | The use mimimized javascript system configuration setting. (OPTIONAL)

Returns
  The use mimimized javascript system configuration setting.

Definition at line 575 of file SystemConfiguration.php.

SystemConfiguration::UserAgentsEnabled | ( |  | $NewValue = `DB_NOVALUE` | ) |

Gets or sets the user agents enabled system configuration setting.

Used for saved search emails.

Parameters

  int | $NewValue | The new user agents enabled system configuration setting. (OPTIONAL)

Returns
  The user agents enabled system configuration setting.

Definition at line 218 of file SystemConfiguration.php.

SystemConfiguration::Value | ( |  | $FieldName,
|  |  | $NewValue = `DB_NOVALUE`
| ) |  |

Gets or changes a value in the database.

Parameters

  string | $FieldName | Name of database field.
  mixed | $NewValue | New value to set. (OPTIONAL)

Returns
  Requested value.

Definition at line 753 of file SystemConfiguration.php.

## Member Data Documentation

const SystemConfiguration::UNCHANGED_VALUE = DB_NOVALUE

This value is used to determine if a value is changed.

Uses DB_NOVALUE because of its pervasive use within this class.

Definition at line 16 of file SystemConfiguration.php.

The documentation for this class was generated from the following file:

- objects/SystemConfiguration.php